{% load static %}
{% load cache %}

{% cache 500 nav view.page_name request.user.username  %}
<div class="site_menu">
    <div class="row align-items-center">
        <div class="col-lg-2">
            <div class="brand">
                <a href="{% url 'pages:home' %}" class="logo"><img src="{{ site.logo.url }}" class="img-fluid" alt="{{ site.alternative_logo }}"></a>
            </div>
        </div>
        <div class="col-lg-10">
            <div class="primary_menu" id="menu">
                <nav class="main_menu">
                    <ul>
                        <li class="menu-item {% if view.page_name == 'About' %}active_link{% endif %}"><a href="{% url 'pages:about'  %}">About Us</a></li>
                        <li class="menu-item {% if view.page_name == 'Services' %}active_link{% endif %}"><a href="{% url 'pages:service'  %}">Services</a></li>
                        <li class="menu-item {% if view.page_name == 'Portfolio' %}active_link{% endif %}"><a href="{% url 'pages:portfolio'  %}">Portfolio</a></li>
                        <li class="menu-item {% if view.page_name == 'Contact' %}active_link{% endif %}"><a href="{% url 'pages:contact'  %}">Contact Us</a></li>
                        {% if user.is_authenticated %}
                            {% comment %} <li class="menu-item {% if view.page_name == 'Apply' %}active_link{% endif %}"><a href="{% url 'dashboard:home'  %}" class="deneb_btn">{{ request.user.username }}</a></li> {% endcomment %}
                            <li class="menu-item {% if view.page_name == 'Apply' %}active_link{% endif %}"><a href="#" class="deneb_btn">{{ request.user.username }}</a></li>
                        {% else %}
                            <li class="menu-item {% if view.page_name == 'Apply' %}active_link{% endif %}"><a href="{% url 'login'  %}" class="deneb_btn">Apply now</a></li>
                        {% endif %}
                    </ul>
                </nav>
            </div>
        </div>
    </div>
</div>
{% endcache %}